Fixed Asset

The fixed asset resource.

Basehttps://rest.carbon.ms/fixedAsset
GET/fixedAsset

List fixed assets

Retrieve a paginated list of fixed assets. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/fixedAsset
curl --request GET \
  --url 'https://rest.carbon.ms/fixedAsset?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "fixedAssetId": "xyz789",
    "fixedAssetClassId": "xyz789",
    "name": "Example",
    "status": "string",
    "depreciationMethod": "string",
    "usefulLifeMonths": 0,
    "residualValuePercent": 0
  }
]
GET/fixedAsset

Retrieve a fixed asset

Fetch a single fixed asset by filtering on `id`.

Query parameters

idstring

Match on the fixed asset's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/fixedAsset
curl --request GET \
  --url 'https://rest.carbon.ms/fixedAsset?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "fixedAssetId": "xyz789",
  "fixedAssetClassId": "xyz789",
  "name": "Example",
  "status": "string",
  "depreciationMethod": "string",
  "usefulLifeMonths": 0,
  "residualValuePercent": 0
}
POST/fixedAsset

Create a fixed asset

Create a new fixed asset.

Body parameters

fixedAssetIdstringrequired
fixedAssetClassIdstringrequired

References fixedAssetClass.id

namestringrequired
descriptionstring
serialNumberstring
statusfixedAssetStatusrequired
depreciationMethoddepreciationMethodrequired
usefulLifeMonthsnumberrequired
residualValuePercentnumberrequired
taxDepreciationMethodtaxDepreciationMethod
taxUsefulLifeMonthsnumber
taxResidualValuePercentnumber
macrsPropertyClassmacrsPropertyClass
macrsConventionmacrsConvention
bonusDepreciationPercentnumber
acquisitionCostnumberrequired
acquisitionDatedate
depreciationStartDatedate
accumulatedDepreciationnumberrequired
accumulatedTaxDepreciationnumberrequired
assetLifetimeUsagenumber
locationIdstring

References location.id

disposalDatedate
disposalMethoddisposalMethod
saleProceedsnumber
companyIdstringrequired

References company.id

notesobject
customFieldsobject
POSThttps://rest.carbon.ms/fixedAsset
curl --request POST \
  --url https://rest.carbon.ms/fixedAsset \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"fixedAssetId":"xyz789","fixedAssetClassId":"xyz789","name":"Example","description":"string","status":"string","depreciationMethod":"string","usefulLifeMonths":0,"residualValuePercent":0,"acquisitionCost":0,"accumulatedDepreciation":0,"accumulatedTaxDepreciation":0,"companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "fixedAssetId": "xyz789",
  "fixedAssetClassId": "xyz789",
  "name": "Example",
  "status": "string",
  "depreciationMethod": "string",
  "usefulLifeMonths": 0,
  "residualValuePercent": 0
}
PATCH/fixedAsset

Update a fixed asset

Update an existing fixed asset, matched on `id`.

Body parameters

fixedAssetIdstringrequired
fixedAssetClassIdstringrequired

References fixedAssetClass.id

namestringrequired
descriptionstring
serialNumberstring
statusfixedAssetStatusrequired
depreciationMethoddepreciationMethodrequired
usefulLifeMonthsnumberrequired
residualValuePercentnumberrequired
taxDepreciationMethodtaxDepreciationMethod
taxUsefulLifeMonthsnumber
taxResidualValuePercentnumber
macrsPropertyClassmacrsPropertyClass
macrsConventionmacrsConvention
bonusDepreciationPercentnumber
acquisitionCostnumberrequired
acquisitionDatedate
depreciationStartDatedate
accumulatedDepreciationnumberrequired
accumulatedTaxDepreciationnumberrequired
assetLifetimeUsagenumber
locationIdstring

References location.id

disposalDatedate
disposalMethoddisposalMethod
saleProceedsnumber
companyIdstringrequired

References company.id

notesobject
customFieldsobject
PATCHhttps://rest.carbon.ms/fixedAsset
curl --request PATCH \
  --url 'https://rest.carbon.ms/fixedAsset?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"fixedAssetId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "fixedAssetId": "xyz789",
  "fixedAssetClassId": "xyz789",
  "name": "Example",
  "status": "string",
  "depreciationMethod": "string",
  "usefulLifeMonths": 0,
  "residualValuePercent": 0
}
DELETE/fixedAsset

Delete a fixed asset

Delete a fixed asset, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the fixed asset to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/fixedAsset
curl --request DELETE \
  --url 'https://rest.carbon.ms/fixedAsset?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content